Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-655

Add Windows Server 2016 to the 1.7 LTS agent

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: puppet-agent 1.7.1
    • Fix Version/s: puppet-agent 1.7.2
    • Component/s: Windows
    • Labels:
    • Template:
    • Acceptance Criteria:
      • Server 2016 is in the CI pipelines for the LTS agent release
      • Server 2016 passes all tests
    • Team:
      Agent
    • Story Points:
      2
    • Sprint:
      AP 2016-11-16
    • Release Notes:
      New Feature
    • Release Notes Summary:
      This backports fixes and testing for Windows Server 2016 to the LTS 1.7 puppet agent, thereby allowing this version to run on that platform.

      Description

      Customers desire Windows Server 2016 support to be officially added to the 1.7.z LTS release, and would like to see an updated package shipping in the next possible PE 2016.4.z release.

      Server 2016 is officially supported in the 1.8 release of puppet-agent already, so this ticket would involve backporting any changes made to Puppet that are necessary to enable Server 2016 support. At this time, there are no fixes in this category, and the agent just works. Hopefully there are no other dependencies that require updating (such as a facter, hiera, pxp-agent, etc) - but they would all presumably fall within scope for resolving this ticket.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              halim.wijaya Halim Wijaya
              Reporter:
              ethan Ethan Brown
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support